Subject: Ticket Assigned - My Account
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 09 Aug 2020 04:45:27 +0000

Hi Apoorv Joshi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account I have received an e-mail which has a partial cancel of order 7693806751 , stating that I will get a refund within 15 days.
First of all it’s inconvenient that an item which I know that is available in the store to be cancelled in this way, and if you do so it should be refunded right away because it’s not my Faisal as a customer 
I pay the money to get the items within few days, and usually when I cancel the order by myself I got the amount refunded back as the same time.
If it has been received and then I applied for a refund, it will be ok to wait 15 days. But in my case it is not my fault and I need that money.

Another thing, that I have placed a completely new order which is 7695897000, and I have a shipment only for towels and again the changing table hasn’t been shipped.
Why is the same problem repeating again? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1358949